Description

Supportanfrage

Hallo Supporter,

betrifft nur linux:

wenn ein Service in der Init() einen Fehler wirft, schmiert der python_support service beim herunterfahren ab

Als beispiel hab' ich den cDemoSampleService wie folgt verbogen:

...

tResult cDemoSampleService::ServiceInit(IException** __exception_ptr) {

LOG_INFO("cUserSampleService::ServiceInit() - modified");

// call parent method first

RETURN_IF_FAILED(cService::ServiceInit(__exception_ptr));

LOG_INFO("cUserSampleService:: throw now");

THROW_IF_FAILED_DESC(-100 , "got ya!!!");

....

System:

Ubuntu 16.04, g++ 4.9.4, Adtf 2.13.2

Output ist angehangen...

Lg Flo

Lösung

Ubuntu, GCC & Python Version müssen passen.

History

#1 - 2017-03-31 15:45 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.13.2 added

- Platform Ubuntu 16.04 64bit added

#2 - 2017-04-05 10:58 - hidden

- Status changed from New to Customer Feedback Required
Hallo Florian,

bitte bauen und verifizieren auf der kompatiblen Plattform, mit der auch die angegebene ADTF-Version freigegeben wurde (Ubuntu 12.04, GCC 4.6).

Zwar gibt es unter Linux weniger Probleme was Kompatibilität betrifft, wir müssen aber alle Quereffekte ausschließen.

#3 - 2017-04-06 14:30 - hidden

Hallo Supporter,

„bitte bauen und verifizieren auf der kompatiblen Plattform, mit der auch die angegebene ADTF-Version freigegeben wurde (Ubuntu 12.04, GCC

4.6).

Zwar gibt es unter Linux weniger Probleme was Kompatibilität betrifft, wir müssen aber alle Quereffekte ausschließen.“

 Mal ehrlich: das beispiel nachzubauen dauert ca. 5 mins, stattdessen soll ich ne komplett neue VM aufsetzen?

Aus der adtf readme:

“ADTF will most likely run on any recent Linux distribution but has ONLY been

tested to run on the following distributions: 

- Ubuntu 12.04 or later

If you are not running one of these tested distributions make at least sure that

libc is a version >= 2.15 and libstdc++ >= 6.0.16.”

  

Das von mir verwendete setup hab’ ich nochmals überprüft, ist alles im entsprechenden Rahmen:

Ubuntu 16.04 ist ja wohl ‘later’,

libstdc++ ist 6.0.21 >= 6.0.16,

libc 2.2x >= 2.15

 Nebenbei hab‘ ich jetzt mal das ganze noch mit ADTF 2.12 getestet, selber effekt…

Den python support service musste ich auch in der win32 version von adtf 2.13.2 deaktivieren, damit es überhaupt startet, ganz sauber scheint der

mir eh nicht zu laufen.

 

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

 

#4 - 2017-04-06 15:34 - hidden

- Status changed from Customer Feedback Required to In Progress

- Support Level changed from 2nd Level to 3rd Level

@Frank, bitte nachstellen.

#5 - 2017-04-10 14:21 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo,

ich kann den Fehler leider nicht reproduzieren.

Welche Python-Version ist auf dem System installiert, bzw. welche Programmbibliothek wird während der Laufzeit angezogen?

Gruß

Frank

#6 - 2017-04-18 16:11 - hidden
Bitte um Rückmeldung bis spätestens 20.04.2017.

#7 - 2017-04-20 12:45 - hidden

Hi,

die von mir verwendete Python-Version ist 2.7.12, könnte hier das Problem liegen?

Lg Flo

#8 - 2017-04-20 14:55 - hidden

Hi Flo,

jap, ADTF wurde gegen die Python Version 2.7.6 gelinkt.

Wird jetzt eine andere Python Version zur Laufzeit angezogen, so stimmen ggf. die Funktionssignaturen nicht mehr, bzw. ist das gesamte Verhalten

des Python Support Service komplett willkürlich.

Von daher muss der Kunde sich auf jeden Fall eine Python Version 2.7.6 installieren, so dass ADTF beim Starten des Python Support Service diese

anzieht.

Gruß

Frank

#10 - 2017-04-28 15:30 - hidden

Hallo,

leider kommt es mit Python 2.7.6 auch zum crash. Das kann nun natürlich auch an der verwendeten Ubuntu-Version liegen.

Die Mühe, ein Ubuntu 12 aufzusetzen spar‘ ich mir jetzt mal, steht ja in keinem Verhältnis zu der ziemlich speziellen Konfiguration, die diesen Crash

hervorrufen kann.

In diesem Sinne kann das Ticket von meiner Seite aus geschlossen werden.

Danke für die Mühen und ein schönes Wochenende ;)

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

#11 - 2017-04-28 18:03 - hidden

Bitte Ticket schließen, danke.

#12 - 2017-05-03 18:40 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#13 - 2017-05-03 18:41 - hidden

- Description updated

- Status changed from To Be Closed to Closed

- Resolution changed from Solved Issue to Not Supported Scope

#14 - 2018-01-25 12:14 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
